Subject: Re: [Ntp] Calls for Adoption -- NTP Extension Field drafts -- Four separate drafts

From: "[email-masked]" <[email-masked]>
Date: Wed, 28 Aug 2019 12:37:26 +0300

Agreed. Fix all or build new version 

Sent from my HTC, so please excuse any typos.

----- Reply message -----
From: "Heiko Gerstung" <[email-masked]>
To: "Karen O'Donoghue" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Ntp] Calls for Adoption -- NTP Extension Field drafts -- Four separate drafts
Date: Wed, Aug 28, 2019 09:54

Hi,

I do not support adopting all four drafts, I believe that we should either integrate them into a new revision of NTP ("NTPv5") or fix them problems/issues they address in that new "NTPv5" RFC. Most of the issues addressed by those drafts can be easily solved by changing/expanding the NTP packet format for "NTPv5". 

The "REFID" draft would be obsolete if an NTPv5 packet header for a server mode packet by definition includes  a "MY_ID" field. 

The "MAC/last extension field" draft would be obsolete if we define that NTPv5 does only support Extension Fields as allowed additional data and a MAC in v5 is always transported inside an extension field (the "MAC-EF" approach as described in the draft, for example). 

The "I-DO extension field" draft would be something I would integrate into a "NTPv5" RFC as a mandatory requirement for NTP servers. 

The "Extended Information Extension Field" draft would be obsolete if we introduce either additional packet header fields in v5 or just defined a new EF for information that we think should be available from the server. That EF could be sent or not, based on whether the client wants it or not (indicated by an EF sent by that client in its request, for example). 

Best Regards,
Heiko

-- 
Heiko Gerstung 
Managing Director

MEINBERG® Funkuhren GmbH & Co. KG
Lange Wand 9
D-31812 Bad Pyrmont, Germany
Phone:    +49 (0)5281 9309-404
Fax:        +49 (0)5281 9309-9404

Amtsgericht Hannover 17HRA 100322
Geschäftsführer/Management: Günter Meinberg, Werner Meinberg, Andre Hartmann, Heiko Gerstung

Email:
[email-masked] 
Web:
Deutsch   https://www.meinberg.de
English    https://www.meinbergglobal.com

Do not miss our Time Synchronization Blog:
https://blog.meinbergglobal.com 

Connect via LinkedIn: 
https://www.linkedin.com/in/heikogerstung

On 28.08.19, 05:38 "ntp im Auftrag von Karen O'Donoghue" <[email-masked] im Auftrag von [email-masked]> wrote:

Folks,

The following four drafts are four different proposals for new extension fields. Please review each draft and indicate whether these should be adopted by the working group. I am sending them all as one set because they are all extension fields, but we need a response for each draft listed below. 

Thanks!
Karen and Dieter

1.  Network Time Protocol Extended Information Extension Field
https://datatracker.ietf.org/doc/draft-stenn-ntp-extended-information/

2.  Network Time Protocol I-Do Extension Field
https://datatracker.ietf.org/doc/draft-stenn-ntp-i-do/

3.  Network Time Protocol MAC/Last Extension Fields
https://datatracker.ietf.org/doc/draft-stenn-ntp-mac-last-ef/

4.  Network Time Protocol Suggested REFID Extension Field
https://datatracker.ietf.org/doc/draft-stenn-ntp-suggest-refid/

_______________________________________________
ntp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ntp

_______________________________________________
ntp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ntp